/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.exceptions
 * File:    SearchResultsTooBigException.java
 *
 * Copyright (C) 2010-2011 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.exceptions;

/**
 * Simple Exception to be thrown if a SearchResult grows too big
 * during a search operation.
 * 
 * @author aw
 * @version 0.2
 *
 */
public class SearchResultsTooBigException extends Exception {
	
	public SearchResultsTooBigException(String msg) {
		super(msg);
	}

	/**
	 * auto-generated
	 */
	private static final long serialVersionUID = 8550073984416932663L;

}
